PROGRAM LED_Blinktest;

DEVICE = MEGA1284P;

{$I mega1284_Register.INC}


CONST

  // ProcClock = 16384000;       {Hertz}
  UBRR_VAL : WORD = 7;  // 128000  ok
//  UBRR_VAL : WORD = 3;  // 256000  ok


VAR
  LED_ROT[PortD, 7] : bit;
  LED_ON : Boolean;


{$I SYSTEM.INC}


procedure InitPorts;
begin
  DDRB:=  %00010000;
end InitPorts;




BEGIN

ASM;

.equ UBRR0 = UBRR0L

ENDASM;

  InitPorts;
  ClearBit(LED_ROT);  // LED_ROT aus
  LED_ON:=false;


  loop

    if LED_ON then
      ClearBit(LED_ROT);  // LED_ROT aus
      LED_ON:=false;
    else
      SetBit(LED_ROT);  // LED_ROT an
      LED_ON:=true;
    endif;

    wait_ms(300); // bei 16 MHz schnelles Blinken
                  // bei 1 MHz sehr langsames Blinken

  endloop;



END LED_Blinktest.
